Bug 182016

Summary: anaconda finds wrong head in multi-card system
Product: [Fedora] Fedora Reporter: G.Wolfe Woodbury <redwolfe>
Component: rhpxlAssignee: Chris Lumens <clumens>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-27 09:43:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description G.Wolfe Woodbury 2006-02-19 00:24:09 EST
Description of problem:
Starting anaconda finds the PCI card first and uses that when the active card is
the AGP card.  (Notting said to file against rhpxl)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. upgrade FC4(updated) to rawhide (2006-02-18 fc5t3?)
2.
3.
  
Actual results:
finds PCI card and fails to start X server on that card (no monitor attached)
instead of the active AGP card (trident)


Expected results:


Additional info:
work1: Celeron(Coppermine)P3@600MHz 256MBRAM AGP Trident Cyberblade/i1  PCI ATI
Via chipset(MSI mobo) etc.
Comment 1 Bill Nottingham 2006-02-19 00:28:40 EST
Assumption: this worked in test1/test2?

Probably what needs to happen is that we only prepend the first non-vesa card we
find to the list of cards, as opposed to all of them.
Comment 2 G.Wolfe Woodbury 2006-02-19 01:05:33 EST
assumption correct.  AGP found first in t1 and t2 and rawhide consistently until
2006-02-17

Somehow the active card (text consoles) needs to be found consistently.
Comment 3 G.Wolfe Woodbury 2006-02-21 11:24:35 EST
FC5t3 install: still tries to use the ATI(pci) rather than the trident(AGP) card
in my system.

Perhaps if it detects two video cards a dialogue could come up to select the
main card?  There is a dual-head tab on one of the configuration dialogues.

I am happy that FC5t3 noticed that I had messed up the X config and went through
some troubleshooters to fix up the config.  It cleared hte xorg.conf and started
again with detection and eventually found the trident card!  Well done.
Comment 4 Chris Lumens 2006-02-22 16:15:40 EST
Try tomorrow's rawhide, which will have a new rhpxl package that hopefully fixes
this.
Comment 5 G.Wolfe Woodbury 2006-02-25 17:44:34 EST
rawhide of 2006-02-25 works properly (IMO) and finds the right card.